package com.dcs.hnyz.service;

import java.util.List;
import com.dcs.hnyz.domain.PlcInfo;

/**
 * PLC信息管理Service接口
 * 
 * @author hmy
 * @date 2025-04-27
 */
public interface IPlcInfoService 
{
    /**
     * 查询PLC信息管理
     * 
     * @param plcId PLC信息管理主键
     * @return PLC信息管理
     */
    public PlcInfo selectPlcInfoByPlcId(Long plcId);

    /**
     * 查询PLC信息管理列表
     * 
     * @param plcInfo PLC信息管理
     * @return PLC信息管理集合
     */
    public List<PlcInfo> selectPlcInfoList(PlcInfo plcInfo);

    /**
     * 新增PLC信息管理
     * 
     * @param plcInfo PLC信息管理
     * @return 结果
     */
    public int insertPlcInfo(PlcInfo plcInfo);

    /**
     * 修改PLC信息管理
     * 
     * @param plcInfo PLC信息管理
     * @return 结果
     */
    public int updatePlcInfo(PlcInfo plcInfo);

    /**
     * 批量删除PLC信息管理
     * 
     * @param plcIds 需要删除的PLC信息管理主键集合
     * @return 结果
     */
    public int deletePlcInfoByPlcIds(Long[] plcIds);

    /**
     * 删除PLC信息管理信息
     * 
     * @param plcId PLC信息管理主键
     * @return 结果
     */
    public int deletePlcInfoByPlcId(Long plcId);

    /**
     * 根据PLC ID查询PLC名称
     * @param plcId
     * @return
     */
    String selectPlcNameByPlcId(Long plcId);

    /**
     * 获取PLC列表
     * @return
     */
    List<PlcInfo> getPlcList();

    /**
     * 修改plc启用状态
     * @param plcInfo
     * @return
     */
    int changePlcStatus(PlcInfo plcInfo);
}
